summaryrefslogtreecommitdiff
path: root/tests/fsck-tests/021-partially-dropped-snapshot-case
diff options
context:
space:
mode:
authorWang Xiaoguang <wangxg.fnst@cn.fujitsu.com>2016-08-25 13:21:01 +0800
committerDavid Sterba <dsterba@suse.com>2016-09-21 11:50:01 +0200
commitf9309584bf9c58054d588077ba51d8123df54571 (patch)
tree23e889c4ca41928aae173eb721d32cd7e6c8ecff /tests/fsck-tests/021-partially-dropped-snapshot-case
parentac80fca06cd09eb74c03375d6ca0a3f39b320ba2 (diff)
btrfs-progs: tests: add 021-partially-dropped-snapshot-case
Signed-off-by: Wang Xiaoguang <wangxg.fnst@cn.fujitsu.com> Signed-off-by: David Sterba <dsterba@suse.com>
Diffstat (limited to 'tests/fsck-tests/021-partially-dropped-snapshot-case')
-rw-r--r--tests/fsck-tests/021-partially-dropped-snapshot-case/dropped-snapshot.imgbin0 -> 24576 bytes
-rwxr-xr-xtests/fsck-tests/021-partially-dropped-snapshot-case/test.sh18
2 files changed, 18 insertions, 0 deletions
diff --git a/tests/fsck-tests/021-partially-dropped-snapshot-case/dropped-snapshot.img b/tests/fsck-tests/021-partially-dropped-snapshot-case/dropped-snapshot.img
new file mode 100644
index 00000000..345ef419
--- /dev/null
+++ b/tests/fsck-tests/021-partially-dropped-snapshot-case/dropped-snapshot.img
Binary files differ
diff --git a/tests/fsck-tests/021-partially-dropped-snapshot-case/test.sh b/tests/fsck-tests/021-partially-dropped-snapshot-case/test.sh
new file mode 100755
index 00000000..eb8d8849
--- /dev/null
+++ b/tests/fsck-tests/021-partially-dropped-snapshot-case/test.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+# confirm whether btrfsck supports to check a partially dropped snapshot
+
+source $TOP/tests/common
+
+check_prereq btrfs
+
+for img in *.img
+do
+ image=$(extract_image $img)
+ run_check_stdout $TOP/btrfs check "$image" 2>&1 |
+ grep -q "Errors found in extent allocation tree or chunk allocation"
+ if [ $? -eq 0 ]; then
+ rm -f "$image"
+ _fail "unexpected error occurred when checking $img"
+ fi
+ rm -f "$image"
+done